%bcond_with check
%bcond_with doc

%global srcname statsmodels

Name: python-%{srcname}
Version: 0.14.0
Release:    2%{?dist}
Summary: Statistics in Python


License: BSD and Public Domain
URL: https://www.statsmodels.org/
Source0: %{pypi_source}

BuildRequires:  gcc
BuildRequires:  python3-devel

%description
statsmodels is a Python module that provides classes and functions for the
estimation of many different statistical models, as well as for conducting
statistical tests, and statistical data exploration. An extensive list of
result statistics are available for each estimator. The results are tested
against existing statistical packages to ensure that they are correct.

%package -n python3-%{srcname}
Summary: %{summary}

BuildRequires: %{py3_dist setuptools}
BuildRequires: %{py3_dist setuptools_scm}
BuildRequires: %{py3_dist Cython} < 3
BuildRequires: %{py3_dist scipy} >= 1.1
%if %{with check}
BuildRequires: xorg-x11-server-Xvfb
BuildRequires: %{py3_dist pytest}
BuildRequires: %{py3_dist matplotlib}
BuildRequires: python3-matplotlib-tk
BuildRequires: %{py3_dist pandas}
BuildRequires: %{py3_dist patsy}
%endif

%description -n python3-%{srcname}
statsmodels is a Python module that provides classes and functions for the
estimation of many different statistical models, as well as for conducting
statistical tests, and statistical data exploration. An extensive list of
result statistics are available for each estimator. The results are tested
against existing statistical packages to ensure that they are correct.

%package -n python3-%{srcname}-doc
Summary: Documentation for %{srcname}, includes full API docs
BuildArch: noarch

%if %{with doc}
BuildRequires: graphviz
BuildRequires: python3-sphinx
BuildRequires: python3-numpydoc
BuildRequires: python3-ipython-sphinx
BuildRequires: python3-matplotlib
%endif

%description -n python3-%{srcname}-doc
This package contains the full API documentation for python3-%{srcname}.

%prep
%autosetup -n %{srcname}-%{version} -p1
rm $(grep -rl '/\* Generated by Cython')

find . -type f -exec chmod -x {} \;

find statsmodels -name \*.py -type f -exec sed -r -i '/^#!\/usr\/bin\/env/d' {} \;

pushd statsmodels
 cp -a stats/libqsturng/LICENSE.txt ../LICENSE.libqsturng.txt

popd

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
mkdir -p matplotlib
touch matplotlib/matplotlibrc
export XDG_CONFIG_HOME=`pwd`
export PYTHONDONTWRITEBYTECODE=1
export PYTEST_ADDOPTS='-p no:cacheprovider'
pushd %{buildroot}/%{python3_sitearch}
 xvfb-run pytest %{srcname}
popd
%endif

%files -n python3-%{srcname}
%license LICENSE.txt LICENSE.libqsturng.txt
%doc COPYRIGHTS.txt README_l1.txt README.rst
%{python3_sitearch}/statsmodels
%{python3_sitearch}/statsmodels-*-py*.egg-info
%exclude %{python3_sitearch}/statsmodels/LICENSE.txt

%files -n python3-%{srcname}-doc
%license LICENSE.txt LICENSE.libqsturng.txt

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.14.0-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-1
- initial build
